Page MenuHomePhabricator

CX2: Fix issues adapting images
Closed, ResolvedPublic

Description

In CX2, when an image is added to the translation it appears as a broken image.


(The example translation used is "Nasothek" from English to Spanish)

We should:

  • Show the images instead of the broken image icons.
  • Overwrite the image alignment style in the translation to make better use of the available space. In CX images take a whole paragraph instead of floating next to the text paragraph. That is how they seem to work in the source article but not in the translation.

Before the above issue was present, the opposite issue was happening: image captions were not shown. They didn't appear in the source article, and they were also not added to the translation.

This is no longer happening, but it is left here to be checked as work is done in this area and avoid regressions.

(The example translation used is "Paneer" from Spanish to Catalan)

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterAdd cx:Figure rel attribute to figure elements
mediawiki/extensions/ContentTranslation : masterImage adaptation using the data given by cxserver
mediawiki/services/cxserver : masterDo not segment image links under figure tag

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 4:43 PM
Pginer-WMF triaged this task as Medium priority.Feb 27 2018, 4:44 PM
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-Jan-Mar board.

More recently, I retested and the issue was different: the caption was shown but the image appears as broken. I'll update the ticket description.

Pginer-WMF renamed this task from CX2: Image captions are not shown to CX2: Fix issues adapting images.Mar 8 2018, 9:50 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from Medium to High.Mar 13 2018, 7:13 AM

Change 419129 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Do not segment image links under figure tag

https://gerrit.wikimedia.org/r/419129

Change 419129 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Do not segment image links under figure tag

https://gerrit.wikimedia.org/r/419129

Nikerabbit moved this task from In Review to QA on the Language-2018-Jan-Mar board.

This is deployed in Production now.

KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 15 2018, 4:53 AM
Arrbee assigned this task to santhosh.Mar 15 2018, 8:07 AM
Arrbee moved this task from Done to In Progress on the Language-2018-Jan-Mar board.

Change 419151 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Image adaptation using the data given by cxserver

https://gerrit.wikimedia.org/r/419151

@Pginer-WMF what to do with unadaptable images? Un-adaptable images are images not present in commons.

@Pginer-WMF what to do with unadaptable images? Un-adaptable images are images not present in commons.

For now, I think we can either (a) hide the problematic images from the source article, (b) adapt local images as empty content or (c) keep the broken image icon for this specific case. I have a slightly preference for (b), but all result in some confusion for users. I created a follow-up ticket (T189868) to provide provide better guidance, explain what happened and how to solve the situation.

Change 420656 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Add cx:Figure rel attribute to figure elements

https://gerrit.wikimedia.org/r/420656

Change 419151 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Image adaptation using the data given by cxserver

https://gerrit.wikimedia.org/r/419151

Arrbee moved this task from In Review to QA on the Language-2018-Jan-Mar board.Mar 27 2018, 7:14 AM
Arrbee moved this task from QA to In Review on the Language-2018-Jan-Mar board.

Change 420656 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add cx:Figure rel attribute to figure elements

https://gerrit.wikimedia.org/r/420656

Nikerabbit moved this task from In Review to QA on the Language-2018-Jan-Mar board.

Mentioned in SAL (#wikimedia-operations) [2018-03-27T08:33:41Z] <kartik@tin> Started deploy [cxserver/deploy@a6b029f]: Update cxserver to 9e8ebda (Fix etag parsing and T188403)

Mentioned in SAL (#wikimedia-operations) [2018-03-27T08:36:45Z] <kartik@tin> Finished deploy [cxserver/deploy@a6b029f]: Update cxserver to 9e8ebda (Fix etag parsing and T188403) (duration: 03m 09s)

Etonkovidova closed this task as Resolved.Mar 28 2018, 4:29 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in testwiki (wmf.27) - looks fine.

Nikerabbit moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 28 2018, 6:36 AM